require( "scripts/styles/tutorialstyle.lua" );

local boxBorder = 40;
local imageWidth = 400;
local imageHeight = 208;

MakeDisplayHierarchy
{
	-- Text and graphics items
	CPMessageBox{
	
		--clickSound = "audio/FX/cp_window_popup.ogg",
	
		SetStyle(StandardFontStyle);
		BlgBitmap{
			center = {x = 0, y = 0},
			image = "level/core/common/textures/tutorial_back",
		},
		BlgText{
			flags = kHAlignCenter + kVAlignCenter,
			font = {
				secondaryFont,
				22,
				Color(7, 99, 86),
			},
			transformMatrix = {x = boxBorder - 25, y = boxBorder},
			w = imageWidth - (boxBorder * 2),
			h = imageHeight + 48 - (boxBorder * 2),
		},
		
		--[[BlgText {
			label = "clickReminder",
			name = "tutNextLabel",
			flags = kHAlignCenter + kVAlignTop,
			w = 240,
			h = 140,
			font =SmallInfoStyle,

			transformMatrix = {x = 55, y = imageHeight - 5},
		},]]
		
		--[[
		BlgButton {
			transformMatrix = {x = 0, y = imageHeight},
			label = "wnd_msg_box_next_tutorial",
			name = "tutNextButton",
			--font = {
			--	standardFont,
			--	16,
			--	WhiteColor,
			--},
			upState = {
				bitmap = "level/core/common/textures/tut_btn_normal",
			},
			overState = {
				bitmap = "level/core/common/textures/tut_btn_over",
			},
			downState = {
				bitmap = "level/core/common/textures/tut_btn_down",
				sound = "audio/FX/cp_button_press.ogg",
			},
			command = function()
				TutorialNext();
			end
		},
		]]
		
	}
}; -- MakeDisplayHierarchy
